/**
 * Copyright 2009 Ashley Williams
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you
 * may not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
package protoj.lang.internal;

/**
 * The uncaught exception policy is applied only within the protoj codebase. See
 * <code>UncaughtExceptionPolicy.aj</code> for more information.
 * 
 * @author Ashley Williams
 * 
 */
public final aspect ProtoExceptionHandler extends UncaughtExceptionPolicy {
	@Override
	public pointcut mainCodebase() : within(protoj..*);
}
